/* eslint-env mocha */
'use strict';

const assert = require('assert');
const { IAHTML } = require('../../../lib/template');
const lintHtml = require('../../lint-html');

describe('Template IAHTML', function () {
  let ctx, options;
  beforeEach(function () {
    ctx = {};
    options = {
      manager: {
        pageTitle: 'page',
      },
      dingus: {
        selfBaseUrl: 'https://example.com/',
      },
    };
  });

  it('renders', function () {
    ctx.errors = ['an error', 'another error'];
    const result = IAHTML(ctx, options);
    lintHtml(result);
    assert(result);
  });

  it('covers empty error', function () {
    const result = IAHTML(ctx, options);
    lintHtml(result);
    assert(result);
  });

});